<?php if (!defined ('TYPO3_MODE')) 	die ('Access denied.'); ?>

<h3>lib/div Form Base Rows</h3>
<p>Done with <strong>tx_lib_formBase</strong> using complete rows generating functions. 
Rows include the label. The functions can also control opening and closing of lists like DL.</p>

<h4>Examples</h4>
<dl>
<dt>Multiselect</dt> <dd><?php print htmlspecialchars(
	'$out .= $form->multiselectRow( \'keyX\', \'Label for multiselect\', NULL, array(1 => \'Option 1\', 2 => \'Option 2\'));'); ?></dd>
<dt>Textarea</dt> <dd><?php print htmlspecialchars(
	'$out .= $form->textareaRow(\'keyY\', \'Label for textarea\', array(\'cols\' => 50, \'rows\' => 5));'); ?></dd>
</dl>

<?php $form = $this->form; ?>
<?php $form->setRowPattern('%1$s%4$s<dt>%2$s</dt>%4$s<dd>%3$s</dd>%4$s'); ?>
<?php $form->requireListControl('<dl>', '</dl>'); ?>

<?php print $form->begin('cherriesInputFunctions'); ?>
	<?php print $form->hidden('hidden', array('value' => 'aHiddenValue')); ?>

	<?php print $form->fieldsetBegin('fieldsetCheckbox', array(), 'Checkbox'); ?>
		<?php print $form->checkboxRow('checkbox', 'Checkbox', array('value' =>'Checkbox')); ?>
	<?php print $form->fieldsetEnd(); ?>

	<?php print $form->fieldsetBegin('fieldsetSingleSelections', array(), 'Single selections'); ?>
		<?php print $form->selectRow('select', 'Select', array(), array(1 => 'Option 1', 2 => 'Option 2')); ?>
		<?php print $form->fieldsetBegin('fieldsetRadioGroup', array(), 'Radio group'); ?>
			<?php print $form->radioRow('radio1', 'Radio 1', array('name' => 'radio', 'value' => 'value1')); ?>
			<?php print $form->radioRow('radio2', 'Radio 2', array('name' => 'radio', 'value' => 'value2')); ?>
		<?php print $form->fieldsetEnd(); ?>
	<?php print $form->fieldsetEnd(); ?>

	<?php print $form->fieldsetBegin('fieldsetMultipleSelections', array(), 'Multiple selections'); ?>
		<?php print $form->multiselectRow( 'multiselect', 'Multiselect', array(), array(1 => 'Option 1', 2 => 'Option 2')); ?>
		<?php print $form->fieldsetBegin('fieldsetGroupedCheckboxes', array(), 'Grouped Checkboxes'); ?>
			<?php print $form->checkboxRow('checkbox1', 'Checkbox 1', array('value' =>'Checkbox1')); ?>
			<?php print $form->checkboxRow('checkbox2', 'Checkbox 2', array('value' =>'Checkbox2')); ?>
		<?php print $form->fieldsetEnd(); ?>
	<?php print $form->fieldsetEnd(); ?>

	<?php print $form->fieldsetBegin('fieldsetText', array(), 'Text'); ?>
		<?php print $form->textareaRow('textarea', 'Textarea', array('cols' => 50, 'rows' => 5)); ?>
		<?php print $form->inputRow('input', 'Input'); ?>
		<?php print $form->passwordRow('password', 'password'); ?>
	<?php print $form->fieldsetEnd(); ?>

	<?php print $form->fieldsetBegin('fieldsetControls', array(), 'Controls'); ?>
		<?php print $form->submitRow('submit', 'Submit', array('value' => 'Send it')); ?>
		<?php print $form->resetRow('reset', 'Reset', array('value' => 'Reset it')); ?>
	<?php print $form->fieldsetEnd(); ?>

<?php print $form->end(); ?>
